> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish un-deployed query rewrites with specific id



## OpenAPI

````yaml /api-reference/4.2/service-query-rewrite.json put /query-rewrite/instances/{id}/publish
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-rewrite
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-rewrite
paths:
  /query-rewrite/instances/{id}/publish:
    put:
      tags:
        - 4.2 Query Rewrite API
      summary: Publish un-deployed query rewrites with specific id
      operationId: publishById
      parameters:
        - name: context
          in: query
          required: false
          schema:
            type: string
        - name: editSessionId
          in: query
          required: false
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: successful operation

````